# HierarchyWizardModelGrouping.HierarchyWizardGroupingInterval (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizardModelGrouping.HierarchyWizardGroupingInterval<U>

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelGrouping.HierarchyWizardGroupingInterval<U>

- Type Parameters:
    `U` -
  Enclosing class:
    HierarchyWizardModelGrouping<T>

      public static class HierarchyWizardModelGrouping.HierarchyWizardGroupingInterval<U>
      extends java.lang.Object

  This class represents an interval.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `AggregateFunction<U>` | `function` TODO
    `U` | `max` TODO
    `U` | `min` TODO

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HierarchyWizardModelGrouping.HierarchyWizardGroupingInterval(HierarchyBuilderIntervalBased.Interval<U> interval)`
    `HierarchyWizardModelGrouping.HierarchyWizardGroupingInterval(U min, U max, AggregateFunction<U> function)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### min

          public U min

      TODO

    - #### max

          public U max

      TODO

    - #### function

          public AggregateFunction<U> function

      TODO

  - ### Constructor Detail

    - #### HierarchyWizardModelGrouping.HierarchyWizardGroupingInterval

          public HierarchyWizardModelGrouping.HierarchyWizardGroupingInterval(HierarchyBuilderIntervalBased.Interval<U> interval)

      Parameters:
        `interval` -

    - #### HierarchyWizardModelGrouping.HierarchyWizardGroupingInterval

          public HierarchyWizardModelGrouping.HierarchyWizardGroupingInterval(U min,
                                                                      U max,
                                                                      AggregateFunction<U> function)

      Parameters:
        `min` -
        `max` -
        `function` -